---
title: Newsletter Hooks
description: Hooks related to the Newsletter module
---

## Actions

### woonoow_newsletter_subscribed

Triggered when a user subscribes to the newsletter.

**Parameters:**
*   `$email` (string): The subscriber's email address.
*   `$user_id` (int|null): The user ID if logged in, or null.

### woonoow_newsletter_unsubscribed

Triggered when a user unsubscribes from the newsletter.

**Parameters:**
*   `$email` (string): The subscriber's email address.
